### Method

# Gio Task return_new_error

since: 2.36

#### Declaration [src]

    void
    g_task_return_new_error (
      GTask* task,
      GQuark domain,
      gint code,
      const char* format,
      ...
    )

#### Description [src]

Sets `task`‘s result to a new `GError` created from `domain`, `code`, `format`, and the remaining arguments, and completes the task (see `g_task_return_pointer()` for more discussion of exactly what this means).

See also g_task_return_error().

Available since: 2.36

This method is not directly available to language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  A `GQuark`.

`code`

  Type: `gint`

  An error code.

`format`

  Type: `const char*`

  A string with format characters.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A list of values to insert into `format`.